> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsteerco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search entities

> Vector-powered semantic search for entities (accounts, contacts, opportunities, etc.) in the workspace. Finds results by meaning, not just exact keyword matches.



## OpenAPI

````yaml /openapi.json get /v1/entities/search
openapi: 3.1.0
info:
  title: Steerco API
  version: 1.0.0
  description: >-
    REST API and MCP server for managing presentations, templates, themes, and
    entities.
servers:
  - url: https://api.getsteerco.com
security: []
paths:
  /v1/entities/search:
    get:
      summary: Search entities
      description: >-
        Vector-powered semantic search for entities (accounts, contacts,
        opportunities, etc.) in the workspace. Finds results by meaning, not
        just exact keyword matches.
      parameters:
        - schema:
            type: string
            description: Search query to find matching entities
          required: true
          description: Search query to find matching entities
          name: query
          in: query
        - schema:
            type: string
            description: Optional entity type filter (e.g. 'account', 'contact')
          required: false
          description: Optional entity type filter (e.g. 'account', 'contact')
          name: type
          in: query
        - schema:
            type: string
            description: >-
              The workspace ID. Get available workspaces from GET
              /v1/workspaces.
          required: true
          description: The workspace ID. Get available workspaces from GET /v1/workspaces.
          in: header
          name: X-Workspace-Id
      responses:
        '200':
          description: List of matching entities
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Entity'
      security:
        - apiKey: []
components:
  schemas:
    Entity:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        type:
          type: string
        metadata:
          type: object
          additionalProperties: {}
      required:
        - id
        - name
        - type
        - metadata
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: API key (ak_ prefix). Generate one from your Steerco profile settings.

````